Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161057 - no sound output on thinkpad r51
Summary: no sound output on thinkpad r51
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-20 10:57 UTC by Rudolf Kastl
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-08 00:03:03 UTC


Attachments (Terms of Use)

Description Rudolf Kastl 2005-06-20 10:57:44 UTC
Description of problem:
system-config-soundcard doesent output sound on a test run

heres the shelloutput of the tool:

system-config-soundcard

amixer: Unable to find simple control 'PCM-2',0

amixer: Unable to find simple control 'DRC Range',0

Playing WAVE '/usr/share/system-config-soundcard/sound-sample.wav' : Signed 16
bit Little Endian, Rate 44100 Hz, Stereo

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1369_FC4

How reproducible:
always

Steps to Reproduce:
1. run system-config-soundcard
2. click on "play test sound"
3. miss the actual sound output
  
Actual results:
no sound output

Expected results:
sound output

Additional info:
i am somewhat unsure if this should be filed against kernel but it would be nice
to see it moved to the responsible package here.

System was upgraded from fc3 which showed the same problem already.

output of lspci -vv

00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 01)
        Subsystem: IBM: Unknown device 0554
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin B routed to IRQ 11
        Region 0: I/O ports at 1c00 [size=256]
        Region 1: I/O ports at 18c0 [size=64]
        Region 2: Memory at c0000c00 (32-bit, non-prefetchable) [size=512]
        Region 3: Memory at c0000800 (32-bit, non-prefetchable) [size=256]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA
PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

Comment 1 Rudolf Kastl 2005-06-20 11:52:46 UTC
Muting headphone jack sense  solves the problem


Note You need to log in before you can comment on or make changes to this bug.